# std::_Base_bitset< 0 > Struct Template Reference

List of all members.

## Detailed Description

### template<>
struct std::_Base_bitset< 0 >

Definition at line 462 of file bitset.

## Public Types

- typedef unsigned long _WordT

## Public Member Functions

- _Base_bitset (unsigned long)
- _Base_bitset ()
- void _M_do_and (const _Base_bitset< 0 > &)
- size_t _M_do_count () const
- size_t _M_do_find_first (size_t) const
- size_t _M_do_find_next (size_t, size_t) const
- void _M_do_flip ()
- void _M_do_left_shift (size_t)
- void _M_do_or (const _Base_bitset< 0 > &)
- void _M_do_reset ()
- void _M_do_right_shift (size_t)
- void _M_do_set ()
- unsigned long _M_do_to_ulong () const
- void _M_do_xor (const _Base_bitset< 0 > &)
- _WordT & _M_getword (size_t) const
- _WordT _M_hiword () const
- bool _M_is_any () const
- bool _M_is_equal (const _Base_bitset< 0 > &) const

## Static Public Member Functions

- static _WordT _S_maskbit (size_t __pos)
- static size_t _S_whichbit (size_t __pos)
- static size_t _S_whichbyte (size_t __pos)
- static size_t _S_whichword (size_t __pos)

The documentation for this struct was generated from the following file:

- bitset